Page 1 sur 1

Mise à jour MailPoet

Publié : 04 mai 2019 10:58
par sandiemoi
Bonjour à tous,

Hier soir je me suis enfin décidée à passer à la version 3 de MailPoet, mais il veut pas.....
J'ai un message d'erreur me disant "MailPoet nécessite PHP version 5.6 ou plus récente (version 7.2 recommandée)"
Or je viens de vérifier chez OVH, je suis en 7.1 ...

Quelqu'un aurait-il une explication, voir une solution ?

Merci :)

Re: Mise à jour MailPoet

Publié : 13 mai 2019 19:56
par rapidos
D'après ce que j'ai lu ici et là, c'est l'hébergeur qui propose (ou pas) le PHP dernière version.

Sans entrer dans la technique (que je ne connais pas), le PHP désigne un logiciel sur lequel fonctionne l'hébergeur.
Et donc tous les sites hébergés chez un hébergeur fonctionnent sur la version du PHP loué (ou acheté) par cet hébergeur. Au fil du temps, l'hébergeur met à jour son logiciel PHP, mais il maintient les anciennes toujours en service.

Pour OVH par exemple, ils ont toutes les versions de PHP, dont la dernière en date, et c'est le propriétaire du site (Machin.com) qui doit demander (ou faire un cllic quelque part) pour qu'OVH fasse fonctionner le site (Machin.cm) sur cette dernière version.

Certains propriétaires ne veulent pas changer, soit parce qu'ils n'y font pas attention, soit parce que certains hébergeurs font payer quelque chose

--- Les extensions (comme mailpoet) sont mises à jour pour fonctionner avec la dernière version de PHP.
Elles bug si utilisées avec d'anciennes versions de PHP.

--- Par rapport à ton problème, as-tu vérifier que tu as bien cliqué comme il fallait pour installé ton site sur PHP 7 ?
Si c'est le cas, peut-être faut-il un délai avant sa prise en compte.

(Peux-tu dire de quelle façon tu as obtenu l'information selon laquelle tu étais sur PHP 7 ?)

Re: Mise à jour MailPoet

Publié : 14 mai 2019 08:53
par sandiemoi
Merci.
Sauf que moi OVH me dit que je suis sous PHP 7.2 et pourtant le plugin ne le reconnait pas.

Re: Mise à jour MailPoet

Publié : 14 mai 2019 11:48
par rapidos
Ah, effectivement, il y a un problème.
Il se peut dans ce cas que cela vienne de mailpoet.

Y a-t-il un moyen de les contacter ?
Un email ? Ou encore un forum ?

J'avais lu sur WRI, voici deux ou trois semaines, que quelqu'un avait eu des soucis avec la nouvelle version de mailpoet. Les intervenants avaient évoqué deux possibilités : la vresion du PHP, ou l'interférence d'une autre extension. Pour le savoir, il fallait désactiver toutes les extensions, et voir alors si mailpoet fonctionnait ou pas.

Re: Mise à jour MailPoet

Publié : 14 mai 2019 11:52
par rapidos
A propos, pour être certain que es bien sur PHP 7.2, tu peux aller sur le forum de Wordpress.
Avant de poser une question, il propose un petit logiciel qui donne ta version réelle de PHP, et d'autres choses aussi d'ailleurs.
Voici le lien : https://wpfr.net/support/

Re: Mise à jour MailPoet

Publié : 14 mai 2019 13:56
par sandiemoi
Merci :)